﻿/*
 * Created by SharpDevelop.
 * User: jt
 * Date: 29-01-2011
 * Time: 16:26
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.IO;

namespace HovText
{
	/// <summary>
	/// Description of SingletonClass1.
	/// </summary>
	public sealed class DbgLog
	{
		private static DbgLog instance = new DbgLog();
		
		public static DbgLog Instance {
			get {
				return instance;
			}
		}
		
		private DbgLog()
		{
		}
		
		public bool Active { get; set;}
		
		public void Log(string s)
		{
			if (Active)
				File.AppendAllText("hovtext.log", DateTime.Now.ToString() + ":" + s + "\r\n");
		}
	}
}
